/*
 * (C) Copyright Fuji Xerox Co., Ltd. All rights are reserved.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * 2019/09/04	nobuo.iwata@fujixerox.co.jp
 */

#ifndef __FXLSM_NET_H
#define __FXLSM_NET_H

#include <linux/net.h>
#include <linux/socket.h>
#include <linux/skbuff.h>

int fxlsm_get_net(void);
int fxlsm_set_net(int stat);
int fxlsm_socket_bind(struct socket *sock, struct sockaddr *address,
		int addrlen);
int fxlsm_socket_connect(struct socket *sock, struct sockaddr *address,
		int addrlen);
int fxlsm_socket_listen(struct socket *sock, int backlog);
int fxlsm_socket_accept(struct socket *sock, struct socket *newsock);
int fxlsm_socket_sendmsg(struct socket *sock, struct msghdr *msg, int size);
int fxlsm_socket_recvmsg(struct socket *sock, struct msghdr *msg, int size,
		int flags);
void fxlsm_sock_graft(struct sock *sk, struct socket *parent);

#endif /* !__FXLSM_NET_H */
